Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.internal
Interface RenderableContent

All Known Implementing Classes:
  RenderableContentNodeWrapper, RenderableContentVersionWrapper

    public interface RenderableContent

Method Summary
`ID` | `getId()`
`String` | `getName()`
`String` | `getPath()`
`Property` | `getPrimaryProperty()`
`Property[]` | `getProperties()`
`Property` | `getProperty(String name)`
`InputStream` | `getPropertyBytes(ID propertyId)`

Method Detail

### getProperty

    Property getProperty(String name)
                         throws AuthorizationException

  Throws
    `AuthorizationException`

### getPrimaryProperty

    Property getPrimaryProperty()
                                throws RepositoryException

  Throws
    `RepositoryException`

### getProperties

    Property[] getProperties()
                             throws AuthorizationException

  Throws
    `AuthorizationException`

### getPropertyBytes

    InputStream getPropertyBytes(ID propertyId)
                                 throws AuthorizationException,
                                        NoSuchPropertyException

  Throws
    `AuthorizationException`
    `NoSuchPropertyException`

### getPath

    String getPath()
                   throws AdContentException

  Throws
    `AdContentException`

### getName

    String getName()
                   throws AdContentException

  Throws
    `AdContentException`

### getId

    ID getId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.